# index.h File Reference

`#include <glibmm.h>`
`#include <gst/gstindex.h>`
`#include <gstreamermm/object.h>`
`#include <gstreamermm/format.h>`

Go to the source code of this file.

## Classes
class | Gst::IndexEntry
| The basic element of an index. More...
class | Gst::IndexAssociation
| An association in an entry. More...
class | Gst::Index
| Gst::Index is used to generate a stream index of one or more elements in a pipeline. More...
## Namespaces
namespace | Gst
namespace | Glib
## Enumerations
enum | Gst::IndexCertainty { Gst::INDEX_UNKNOWN, Gst::INDEX_CERTAIN, Gst::INDEX_FUZZY }
enum | Gst::IndexEntryType { Gst::INDEX_ENTRY_ID, Gst::INDEX_ENTRY_ASSOCIATION, Gst::INDEX_ENTRY_OBJECT, Gst::INDEX_ENTRY_FORMAT }
enum | Gst::IndexLookupMethod { Gst::INDEX_LOOKUP_EXACT, Gst::INDEX_LOOKUP_BEFORE, Gst::INDEX_LOOKUP_AFTER }
enum | Gst::AssocFlags { Gst::ASSOCIATION_FLAG_NONE = 0, Gst::ASSOCIATION_FLAG_KEY_UNIT = 1 << 0, Gst::ASSOCIATION_FLAG_DELTA_UNIT = 1 << 1, Gst::ASSOCIATION_FLAG_LAST = 1 << 8 }
enum | Gst::IndexResolverMethod { Gst::INDEX_RESOLVER_CUSTOM, Gst::INDEX_RESOLVER_GTYPE, Gst::INDEX_RESOLVER_PATH }
enum | Gst::IndexFlags { Gst::INDEX_WRITABLE = GST_OBJECT_FLAG_LAST << 0, Gst::INDEX_READABLE = GST_OBJECT_FLAG_LAST << 1, Gst::INDEX_FLAG_LAST = GST_OBJECT_FLAG_LAST << 8 }
## Functions
AssocFlags | Gst::operator| (AssocFlags lhs, AssocFlags rhs)
AssocFlags | Gst::operator& (AssocFlags lhs, AssocFlags rhs)
AssocFlags | Gst::operator^ (AssocFlags lhs, AssocFlags rhs)
AssocFlags | Gst::operator~ (AssocFlags flags)
AssocFlags& | Gst::operator|= (AssocFlags& lhs, AssocFlags rhs)
AssocFlags& | Gst::operator&= (AssocFlags& lhs, AssocFlags rhs)
AssocFlags& | Gst::operator^= (AssocFlags& lhs, AssocFlags rhs)